Subject: Re: bug#49419: [PATCH 0/4] Essential home services

From: Andrew Tropin <[email-masked]>
Date: Thu, 26 Aug 2021 10:01:28 +0300

On 2021-08-24 15:14, Oleg Pykhalov wrote:

> Andrew Tropin <[email-masked]> writes:
>
> […]
>
>>> As Ludovic suggested, we could move modules to another namespace for
>>> code sharing, but it is not a blocker from merging changes and we could
>>> do it later when we need to share the code.  I think we should go
>>> forward and push to the master.  WDYT?
>>
>> Yep, let's postpone moving modules to another namespace until it will be
>> needed. Later, when the necessity appears, we will decide how to better
>> organize the code.
>>
>> We can push it to master, but I planned to keep it in wip-guix-home for
>> a while to bring all related stuff like documentation and cli to the
>> branch and merge it to the master after everything is complete.
>>
>> Also, merging only part of Guix Home to the master will arise conflicts
>> for users of rde channel (which contains current implementation of Guix
>> Home).  However, it is solvable by removing already merged parts from
>> rde repository, so, it's not a big deal and I'm fine with both merging
>> options.
>
> OK, pushed to the wip-guix-home.
>
> https://git.savannah.gnu.org/cgit/guix.git/?h=wip-guix-home

Thank you very much!)

Sent a next patch for Guix Home. #50208